<h1>Form Demo</h1>

<h2>Template-Oriented Form</h2>
<template-oriented-form
    [user]="user"
    (submit)="onSubmitForm($event)"
></template-oriented-form>

<h2>Component-Oriented Form</h2>
<component-oriented-form
        [user]="user"
        (submit)="onSubmitForm($event)"
></component-oriented-form>

<h2>Interactive Form</h2>
<interactive-form
        [searchable]="products"
        (selected)="onSelected($event)"
></interactive-form>


